<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*DEPVAR</TITLE>
<META NAME="description" CONTENT="*DEPVAR">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node224.html">
<LINK REL="previous" HREF="node222.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node224.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html3837"
  HREF="node224.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html3833"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html3827"
  HREF="node222.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html3835"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html3838"
  HREF="node224.html">*DESIGNVARIABLES</A>
<B> Up:</B> <A NAME="tex2html3834"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html3828"
  HREF="node222.html">*DENSITY</A>
 &nbsp; <B>  <A NAME="tex2html3836"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION000832000000000000000"></A><A NAME="depvar"></A>
<BR>
*DEPVAR
</H2>

<P>
Keyword type: model definition, material

<P>
This keyword is used to define the number of internal state variables
for a user-defined material. They are initialized to zero at the start
of the calculation and can be used within a material user
subroutine. There are no parameters. This card must be preceded by a
<A HREF="node302.html#usermaterial">*USER MATERIAL</A> card.

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*DEPVAR
</LI>
</UL>
Second line:

<UL>
<LI>Number of internal state variables.
</LI>
</UL>

<P>
<PRE>
Example:

*DEPVAR
12
</PRE>

<P>
defines 12 internal state variables for the user-defined material at stake.

<P>

<P><P>
<BR>
Example files: .

<P>
<BR><HR>
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
